Bug 139070 - [GTK] Bump minimum version of ATK used by jhbuild to at least 2.15.2
Summary: [GTK] Bump minimum version of ATK used by jhbuild to at least 2.15.2
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 15:22 PST by Joanmarie Diggs (irc: joanie)
Modified: 2014-12-09 04:15 PST (History)
10 users (show)

See Also:


Attachments
Patch (1.37 KB, patch)
2014-12-08 10:23 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff
Patch (3.27 KB, patch)
2014-12-08 11:41 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2014-11-26 15:22:25 PST
There is a new role in ATK that is needed to correctly map several existing elements, as well as a proposed ARIA role. We want to be able to test for its use in the layout tests.
Comment 1 Joanmarie Diggs (irc: joanie) 2014-11-26 19:04:41 PST
See bug 139071.
Comment 2 Joanmarie Diggs (irc: joanie) 2014-12-08 10:23:24 PST
Created attachment 242824 [details]
Patch
Comment 3 Joanmarie Diggs (irc: joanie) 2014-12-08 10:36:13 PST
Comment on attachment 242824 [details]
Patch

Clearing the review flag. I forgot to include in the patch the updated test expectations for one of the a11y tests. Sorry for the noise.
Comment 4 Joanmarie Diggs (irc: joanie) 2014-12-08 11:41:35 PST
Created attachment 242836 [details]
Patch
Comment 5 Joanmarie Diggs (irc: joanie) 2014-12-08 14:07:51 PST
Carlos, please review. Thanks.
Comment 6 WebKit Commit Bot 2014-12-09 01:19:30 PST
Comment on attachment 242836 [details]
Patch

Clearing flags on attachment: 242836

Committed r177013: <http://trac.webkit.org/changeset/177013>
Comment 7 WebKit Commit Bot 2014-12-09 01:19:34 PST
All reviewed patches have been landed.  Closing bug.